How To Fix Citrix Error 2320 For ICA Client 12.1


How To Fix Citrix Error 2320 For ICA Client 12.1

If you’ve unwittingly discovered that the new Citrix Receiver 3.0 is not compatible with your old Presentation Server 4.0 farm, you’ve perhaps encountered a little trouble after rolling back to the previous version of the ICA client. If you have uninstalled Receiver and reverted to an older ICA client, you may receive the following error when trying to launch a published application:

Error number 2320
Citrix online plug-in Configuration Manager: No value could be found for (ClientHostedApps) that satisfies all lockdown requirements. The lockdown requirements in force may be conflicting.

(If you are getting this error with Receiver 3, refer to How To Fix Citrix Receiver Error 2320 instead for the solution)

Even after uninstalling the ICA client, removing all its leftover program files and application data, and reinstalling an earlier ICA client version, you may still receive the error. The solution is as follows:

1. Uninstall all versions of the ICA Client and Receiver

2. Remove all “Receiver” and “ICA Client” folders from the Program Files\Citrix, Program Files\Common\Citrix, and the user’s AppData\Citrix folders.

3. Install the ICA 12.1 client

4. On a 32-bit system: Create a registry string value called “ClientHostedApps” in HKLM\SOFTWARE\Wow6432Node\Citrix\ICA Client\Engine\Lockdown Profiles\All Regions\Lockdown\Virtual Channels\Control. Put a single asterisk (*) for the value data.

On a 64-bit system: Create a registry string value called “ClientHostedApps” HKLM\SOFTWARE\Wow6432Node\Citrix\ICA Client\Engine\Lockdown Profiles\All Regions\Lockdown\Virtual Channels\Control. Put a single asterisk (*) for the value data.

The end result should look like this:

Now refresh your applications, and when you try to launch a published application, it should launch normally.

Want more Citrix tips and tricks? Watch my course Citrix NetScaler 10: Design and Deployment!